﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
    </telerik:RadScriptManager>
    <telerik:RadGrid ID="rgd" runat="server" AutoGenerateColumns="false" AllowPaging="true"
        AllowSorting="true" PageSize="21" OnNeedDataSource="RadGrid1_NeedDataSource">
        <ClientSettings EnableRowHoverStyle="true" Selecting-AllowRowSelect="true" Scrolling-AllowScroll="true" />
        <GroupingSettings CaseSensitive="false" />
        <MasterTableView TableLayout="Fixed" DataKeyNames="CustomerID" ShowHeadersWhenNoRecords="true">
            <ItemStyle Wrap="false" />
            <AlternatingItemStyle Wrap="false" />
            <Columns>
                <telerik:GridHyperLinkColumn DataTextField="CustomerID" HeaderText="Program #" SortExpression="CustomerID"
                    HeaderStyle-Width="80px" UniqueName="CustomerID" />
                <telerik:GridBoundColumn DataField="ContactName" HeaderText="Client" SortExpression="ContactName"
                    HeaderStyle-Width="225px" UniqueName="ContactName" />
                <telerik:GridBoundColumn DataField="CompanyName" HeaderText="Program Name" SortExpression="CompanyName"
                    HeaderStyle-Width="225px" UniqueName="CompanyName" />
                <telerik:GridBoundColumn DataField="Address" HeaderText="Primary" SortExpression="Address"
                    HeaderStyle-Width="100px" UniqueName="Address" />
                <telerik:GridBoundColumn DataField="Country" HeaderText="End Date" SortExpression="Country"
                    HeaderStyle-Width="75px" DataFormatString="{0:MM/dd/yyyy}" DataType="System.String"
                    UniqueName="Country" />
                <telerik:GridBoundColumn DataField="City" HeaderText="Status" SortExpression="City"
                    HeaderStyle-Width="100px" UniqueName="City" />
                <telerik:GridBoundColumn DataField="Region" HeaderText="Revenue" SortExpression="Region"
                    DataFormatString="{0:c}" HeaderStyle-Width="115px" HeaderStyle-HorizontalAlign="Center"
                    ItemStyle-HorizontalAlign="Right" UniqueName="Region" />
                <telerik:GridBoundColumn DataField="PostalCode" HeaderText="PAX" SortExpression="PostalCode"
                    DataFormatString="{0:c}" HeaderStyle-Width="75px" HeaderStyle-HorizontalAlign="Center"
                    ItemStyle-HorizontalAlign="Right" UniqueName="PostalCode" />
                <telerik:GridBoundColumn DataField="Phone" HeaderText="AE" SortExpression="Phone"
                    HeaderStyle-Width="35px" UniqueName="Phone" />
                <telerik:GridBoundColumn DataField="Fax" HeaderText="Hotel" SortExpression="Fax"
                    HeaderStyle-Width="225px" UniqueName="Fax" />
            </Columns>
        </MasterTableView>
    </telerik:RadGrid>
    <br />
    </form>
</body>
</html>
